#pragma once
#include "Entity.h"
//突破子弹（抛射物）
class CS_QuoteSpurBlade :
    public ActionEntity
{
public:
    CS_QuoteSpurBlade(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void AttackEffectObject(std::weak_ptr<Entity> target, float centerX, float centerY, int realDamage) override;
    void Feedback(std::weak_ptr<Entity> target) override;
    void Destroy() override;
    void Collision() override;//执行碰撞
    void SetCbRect_Entity();
    void SetCbRect_Collision();
};

